<?php

namespace Drupal\formable;

use \Drupal\Core\Entity\Sql\SqlContentEntityStorage;

class FormableSqlContentEntityStorage extends SqlContentEntityStorage {

  /**
   * Prevent storing the message if form is not configured to store them
   */
  public function save($entity) {

    $bundle = $entity->bundle();
    $config = $bundle ? \Drupal::config("formable.form.{$bundle}") : null;
    $status = $config ? !!$config->get('store_messages') : false;

    if (true === $status) {
      // returns 1 (SAVED_NEW) or 2 (SAVED_UPDATED) or null
      // @see core/lib/Drupal/Core/Entity/Sql/SqlContentEntityStorage.php
      // @see core/lib/Drupal/Core/Entity/EntityStorageInterface.php
      return parent::save($entity);
    }

    return null;
  }

}
