<?php

namespace Drupal\formable;

/**
 * Provides an interface for assembly and dispatch of formable mail messages.
 */
interface MailHandlerInterface {

  /**
   * Sends mail messages as appropriate for a given Message form submission
   * to the configured recipient(s).
   *
   * @param \Drupal\formable\MessageInterface $message
   *   Submitted message entity.
   *
   * @return bool|null
   *   Returns MailManager::mail status (bool|null) or null when skipped
   *   because of empty recipient
   */
  public function sendMailMessages(MessageInterface $message);

}
