<?php

namespace Drupal\formable;

use Drupal\Core\Entity\ContentEntityInterface;

/**
 * Provides an interface defining a formable message entity.
 */
interface MessageInterface extends ContentEntityInterface {

  /**
   * Returns the form this formable message belongs to.
   *
   * @return \Drupal\formable\FormableFormInterface
   *   The form entity.
   */
  public function getFormableForm();

  /**
   * Returns the email address of the sender.
   *
   * @return string
   *   The email address of the message sender.
   */
  public function getSenderMail();

}
